diff options
| author | 2026-03-21 08:45:51 +0100 | |
|---|---|---|
| committer | 2026-03-21 08:45:51 +0100 | |
| commit | 8611099d1ef5a6230f6c33d95f1ac3a6cdb83a3c (patch) | |
| tree | b62b1eba29c2b39f79c56b8acf9c0140c1cdf80d | |
| parent | b24fb1b22277d34c8ab2be9f5cc103c5f0593d79 (diff) | |
configure shellcheck, again
| -rwxr-xr-x | configure | 10 |
1 files changed, 5 insertions, 5 deletions
@@ -1,7 +1,7 @@ #!/bin/sh die() { - echo "$0: Error: $@" >&2 + echo "$0: Error: $*" >&2 exit 1 } @@ -49,7 +49,7 @@ else # try target-triple-ld (cross compiling) if ! test -n "$linker" && command -v "$host"-ld >/dev/null; then linker="$host"-ld - sysroot=$(($host-cc -print-sysroot || $host-gcc -print-sysroot) 2>/dev/null) + sysroot=$( ($host-cc -print-sysroot || $host-gcc -print-sysroot) 2>/dev/null) fi fi : ${linker:=ld} @@ -72,7 +72,7 @@ esac linkflags= findgcclibdir () { - : ${GCCLIBDIR:=$(dirname "$("$host"-gcc -print-file-name=crtbegin.o 2>/devnull || $CC -print-file-name=crtbegin.o 2>/dev/null)")} + : ${GCCLIBDIR:=$(dirname $( ("$host"-gcc -print-file-name=crtbegin.o || $CC -print-file-name=crtbegin.o) 2>/dev/null) )} if ! test -n $GCCLIBDIR; then die "cannot determine gcclibdir" fi @@ -180,7 +180,7 @@ echo using os: "$host_os" echo using abi: "$host_abi" echo host include paths: "$host_include_dirs" -echo "/** GENERATED WITH $0 $@ **/ +echo "/** GENERATED WITH $0 $* **/ #define HOST_TRIPLE \"$host\" #define HOST_ARCH IS$host_arch #define HOST_OS OS$host_os @@ -197,7 +197,7 @@ static const char *const host_ldstartfiles_pie[] = {$ldstartfiles_pie}; static const char *const host_ldendfiles_pie[] = {$ldendfiles_pie}; " > src/hostconfig.h -echo "# GENERATED WITH $0 $@ +echo "# GENERATED WITH $0 $* PREFIX = $prefix CC = $CC CFLAGS = ${CFLAGS:--Wall -std=c11 -pedantic}" > config.mk |